﻿## 概述

本文提供有关将 SmartDeviceLink (SDL) 嵌入组件（通常称为 SDL Core）与车载主机单元 (HU) 集成的信息。

SDL 是安装在 HU 中的系统，允许移动设备上的已连接应用程序使用某些车载功能，例如语音合成、语音识别、显示屏、硬件按钮等。

将 SDL 作为车辆信息娱乐系统的连接中间件后，已连接的 iOS 和安卓设备上运行的应用程序可以呈现给 HMI。

该指南描述：

   * SDL 支持的与 HMI 进行通信的传输类型
   * 如何通过所支持的一种传输类型进行连接
   * 用于通信的消息类型和消息格式
   * 需要车辆 HMI 支持的 API
   * 显示典型显示屏布局以说明预期 HMI 行为的图片
   * 显示在 SDL 和 HMI 之间发送和接收的消息序列的序列图
   * 与当前支持的传输对应的不同消息格式的每个功能调用的示例
   
## 如何使用本指南

SDL HMI 集成指南在初见的时候会让你感觉望而却步, 但是我们并不是让你在开始探索SDL技术的时候按部就班的完整阅读. 我们推荐按以下步骤实现 

  1. 可以从[入门](../getting-started)开始连接SDL
  2. 一旦你连接并且注册成功, 请使用一个事例程序[iOS RPC Builder](https://github.com/smartdevicelink/rpc_builder_app_ios)开始理解SDL在Core和你的HMI的RPC消息处理机制  
  3. 至此, 你会发现例如`BasicCommunication.UpdateAppList`这样的消息. 使用这个手册去理解这些消息是什么和怎么让你的HMI去利用这些消息内容带来最好的用户体验

## 缩写和定义

下表汇总了本文中使用的缩写

| 缩写 | 含义     |
|:------------- |:------------- |
|BT|蓝牙|
|CID|中央信息显示屏|
|DID|数据标识符|
|DTC|诊断问题代码|
|ECU|电子控制单元|
|GPS|全球定位系统|
|GUI|图形用户界面|
|HDOP|水平精度稀释|
|HMI|人机界面|
|IVI|车载信息娱乐|
|JSON|JavaScript 对象表示法|
|PDOP|位置精度稀释|
|RPC|远程过程调用|
|SDE|软件开发环境|
|SDL|SmartDeviceLink|
|SEE|软件工程环境|
|TTS|语音合成|
|VDOP|垂直精度稀释|
|VR|语音识别|
|UTC|世界时|
