## GetDTCs

Type
: Function

Sender
: SDL

Purpose
: Request <abbr title="Diagnostic Trouble Code">DTC</abbr>s from vehicle.

### Request

!!! must

Send `BC.OnResetTimeout` notification to SDL to reset the timeout in case HMI needs more time to process the request.

!!!

#### Parameters

|Name|Type|Mandatory|Additional|
|:---|:---|:--------|:---------|
|ecuName|Integer|true|minvalue: 0<br>maxvalue: 65535|
|dtcMask|Integer|false|minvalue: 0<br>maxvalue: 255|
|appID|Integer|true||

### Response

#### Parameters

|Name|Type|Mandatory|Additional|
|:---|:---|:--------|:---------|
|ecuHeader|Integer|true|minvalue: 0<br>maxvalue: 65535|
|dtc|String|false|array: true<br>minsize: 1<br>maxsize: 15<br>maxlength: 10|

### Sequence Diagrams

|||
GetDTCs
![GetDTCs](./assets/GetDTCs.png)
|||

### JSON Message Examples

#### Example Request

```json
{
  "id" : 139,
  "jsonrpc" : "2.0",
  "method" : "VehicleInfo.GetDTCs",
  "params" :
  {
    "ecuName" : 56,
    "dtcMask" : 84,
    "appID" : 65645
  }
}
```

#### Example Response

```json
{
  "id" : 139,
  "jsonrpc" : "2.0",
  "result" :
  {
    "ecuHeader" : 6534,
    "dtc" : ["84752093", "28237", "748398"],
    "code" : 0,
    "method" : "VehicleInfo.GetDTCs"
  }
}
```

#### Example Error

```json
{
  "id" : 139,
  "jsonrpc" : "2.0",
  "error" :
  {
    "code" : 9,
    "message" : "Data not available",
    "data" :
    {
      "method" : "VehicleInfo.GetDTCs"
    }
  }
}
```
